#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/extensions/XInput.h>
#include <stdio.h>

int main(int argc, char **argv)
{
    Display *display;
    int screen, ndev, i;
    XDeviceInfo *devinfo;
    XID tabletID=0;
    XDevice *tabletdev;
    XEventClass EClist[10];
    int meventtype;
    XEventClass meventclass;
    XEvent event_return;

    if ((display = XOpenDisplay(NULL)) == NULL)
    {
        fprintf(stderr, "failed to connect to X server (%s)\n",
            XDisplayName(NULL));
        return 1;
    }
    screen = DefaultScreen(display);
    if ((devinfo = XListInputDevices(display, &ndev)) == NULL)
    {
        fprintf(stderr, "Failed to get list of devices\n");
        return 1;
    }
    printf("Number of devices is %d\n", ndev);
    for (i = 0; i < ndev; i++)
    {
        printf("%d. %s(%d)\n", i, devinfo[i].name,devinfo[i].id);
	
	if(strcmp(devinfo[i].name,"wacomdev1")==0){
		tabletID=devinfo[i].id;
	}
    }

    XFreeDeviceList(devinfo);

    if(tabletID==0){
	puts ("no tablet dev");
	exit(0);
    }

	printf("tabletid = %d\n",tabletID);

    return 0;
}
